export const OFFER_SPECS_STEPS = {
  GENERAL_SETTINGS: 'General settings',
  REPAYMENT_LOGIC: 'Repayment logic',
  CHARGES: 'Charges',
  PRIORIZATION: 'Priorization',
};

export const OFFER_SPECS_TAPS = Object.keys(OFFER_SPECS_STEPS).map(
  (key) => OFFER_SPECS_STEPS[key]
);

export const OFFER_PRIORIZATION_DEFAULT = {
  COLLECTION_COSTS: {
    NAME: 'Collection costs',
    PRIORITY: 1,
    TYPE: 'collectionCost',
  },
  DEFAULT_INTEREST: {
    NAME: 'Default interest',
    PRIORITY: 2,
    TYPE: 'defaultInterest',
  },
  ADMINISTRATIVE_COST: { NAME: 'Administrative', PRIORITY: 3, TYPE: 'cost' },
  PLATFORM_COST: { NAME: 'Platform', PRIORITY: 3, TYPE: 'cost' },
  OTHER_COST: { NAME: 'Other', PRIORITY: 4, TYPE: 'cost' },
  INTERESTS: { NAME: 'Interest', PRIORITY: 4, TYPE: 'interest' },
  CAPITAL: { NAME: 'Capital', PRIORITY: 5, TYPE: 'capital' },
};
export const OFFER_PRIORIZATION_DEFAULT_DYNAMIC: { [key: string]: number } = {
  [OFFER_PRIORIZATION_DEFAULT.COLLECTION_COSTS.NAME]:
    OFFER_PRIORIZATION_DEFAULT.COLLECTION_COSTS.PRIORITY,
  [OFFER_PRIORIZATION_DEFAULT.DEFAULT_INTEREST.NAME]:
    OFFER_PRIORIZATION_DEFAULT.DEFAULT_INTEREST.PRIORITY,
  [OFFER_PRIORIZATION_DEFAULT.ADMINISTRATIVE_COST.NAME]:
    OFFER_PRIORIZATION_DEFAULT.ADMINISTRATIVE_COST.PRIORITY,
  [OFFER_PRIORIZATION_DEFAULT.PLATFORM_COST.NAME]:
    OFFER_PRIORIZATION_DEFAULT.PLATFORM_COST.PRIORITY,
  [OFFER_PRIORIZATION_DEFAULT.OTHER_COST.NAME]:
    OFFER_PRIORIZATION_DEFAULT.OTHER_COST.PRIORITY,
  [OFFER_PRIORIZATION_DEFAULT.INTERESTS.NAME]:
    OFFER_PRIORIZATION_DEFAULT.INTERESTS.PRIORITY,
  [OFFER_PRIORIZATION_DEFAULT.CAPITAL.NAME]:
    OFFER_PRIORIZATION_DEFAULT.CAPITAL.PRIORITY,
};
export const OFFER_PRIORIZATION_TYPE_DYNAMIC: { [key: string]: string } = {
  [OFFER_PRIORIZATION_DEFAULT.COLLECTION_COSTS.NAME]:
    OFFER_PRIORIZATION_DEFAULT.COLLECTION_COSTS.TYPE,
  [OFFER_PRIORIZATION_DEFAULT.DEFAULT_INTEREST.NAME]:
    OFFER_PRIORIZATION_DEFAULT.DEFAULT_INTEREST.TYPE,
  [OFFER_PRIORIZATION_DEFAULT.ADMINISTRATIVE_COST.NAME]:
    OFFER_PRIORIZATION_DEFAULT.ADMINISTRATIVE_COST.TYPE,
  [OFFER_PRIORIZATION_DEFAULT.PLATFORM_COST.NAME]:
    OFFER_PRIORIZATION_DEFAULT.PLATFORM_COST.TYPE,
  [OFFER_PRIORIZATION_DEFAULT.OTHER_COST.NAME]:
    OFFER_PRIORIZATION_DEFAULT.OTHER_COST.TYPE,
  [OFFER_PRIORIZATION_DEFAULT.INTERESTS.NAME]:
    OFFER_PRIORIZATION_DEFAULT.INTERESTS.TYPE,
  [OFFER_PRIORIZATION_DEFAULT.CAPITAL.NAME]:
    OFFER_PRIORIZATION_DEFAULT.CAPITAL.TYPE,
};
